summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorWaldemar Brodkorb <wbx@openadk.org>2013-10-10 10:24:33 +0200
committerWaldemar Brodkorb <wbx@openadk.org>2013-10-10 10:24:33 +0200
commit052c8c9fdcadd52f9eecc4de036b7afdf7f4942f (patch)
treecae9794f96e99ade789e0ebc1e05a0e7a4ae11a0
parent763a7d577807bd623434caf64de151635e3537cb (diff)
parentfe63f19bc969871820b61846b3301c15a269b553 (diff)
Merge branch 'master' of git+ssh://openadk.org/git/openadk
-rw-r--r--package/libbluray/Makefile26
-rw-r--r--package/mpd/patches/patch-src_db_simple_db_plugin_c11
-rw-r--r--package/tzdata/Makefile15
-rw-r--r--package/xbmc/Makefile5
-rw-r--r--package/xbmc/patches/patch-xbmc_Application_cpp41
-rw-r--r--package/xf86-input-evdev/Makefile2
6 files changed, 96 insertions, 4 deletions
diff --git a/package/libbluray/Makefile b/package/libbluray/Makefile
new file mode 100644
index 000000000..d65530d8f
--- /dev/null
+++ b/package/libbluray/Makefile
@@ -0,0 +1,26 @@
+# This file is part of the OpenADK project. OpenADK is copyrighted
+# material, please see the LICENCE file in the top-level directory.
+
+include $(TOPDIR)/rules.mk
+
+PKG_NAME:= libbluray
+PKG_VERSION:= 0.4.0
+PKG_RELEASE:= 1
+PKG_MD5SUM:= c7a1cc71cb9747f93122ec650d4ae933
+PKG_DESCR:= bluray library
+PKG_SECTION:= libs
+PKG_URL:= http://www.videolan.org/developers/libbluray.html
+PKG_SITES:= ftp://ftp.videolan.org/pub/videolan/libbluray/${PKG_VERSION}/
+
+DISTFILES:= ${PKG_NAME}-${PKG_VERSION}.tar.bz2
+
+include $(TOPDIR)/mk/package.mk
+
+$(eval $(call PKG_template,LIBBLURAY,libbluray,$(PKG_VERSION)-${PKG_RELEASE},${PKG_DEPENDS},${PKG_DESCR},${PKG_SECTION}))
+
+libbluray-install:
+ $(INSTALL_DIR) $(IDIR_LIBBLURAY)/usr/lib
+ $(CP) $(WRKINST)/usr/lib/libbluray*.so* \
+ $(IDIR_LIBBLURAY)/usr/lib
+
+include ${TOPDIR}/mk/pkg-bottom.mk
diff --git a/package/mpd/patches/patch-src_db_simple_db_plugin_c b/package/mpd/patches/patch-src_db_simple_db_plugin_c
new file mode 100644
index 000000000..4158c5b8e
--- /dev/null
+++ b/package/mpd/patches/patch-src_db_simple_db_plugin_c
@@ -0,0 +1,11 @@
+--- mpd-0.17.5.orig/src/db/simple_db_plugin.c 2013-08-01 09:15:41.000000000 +0200
++++ mpd-0.17.5/src/db/simple_db_plugin.c 2013-10-08 15:28:10.000000000 +0200
+@@ -338,6 +338,8 @@ simple_db_save(struct db *_db, GError **
+
+ fclose(fp);
+
++ g_message("Successfully written database to file: %s", db->path);
++
+ struct stat st;
+ if (stat(db->path, &st) == 0)
+ db->mtime = st.st_mtime;
diff --git a/package/tzdata/Makefile b/package/tzdata/Makefile
index 1e8cc19f0..7bc3f5b33 100644
--- a/package/tzdata/Makefile
+++ b/package/tzdata/Makefile
@@ -5,7 +5,7 @@ include $(TOPDIR)/rules.mk
PKG_NAME:= tzdata
PKG_VERSION:= 2013d
-PKG_RELEASE:= 1
+PKG_RELEASE:= 2
PKG_MD5SUM:= 65b6818162230fc02f86f293376c73df 4616a9560270f180eeb9a08540636890
PKG_DESCR:= Timezone data (/usr/share/zoneinfo)
PKG_SECTION:= utils
@@ -39,7 +39,7 @@ ALL_TARGET:= ALL
INSTALL_TARGET:= INSTALL
post-install:
- $(INSTALL_DIR) $(IDIR_TZDATA)/usr/share
+ $(INSTALL_DIR) $(IDIR_TZDATA)/usr/share $(IDIR_TZDATA)/etc
$(CP) $(WRKINST)/usr/share/zoneinfo $(IDIR_TZDATA)/usr/share
${INSTALL_DIR} ${IDIR_ZDUMP}/usr/sbin
${INSTALL_BIN} ${WRKINST}/etc/zdump ${IDIR_ZDUMP}/usr/sbin/
@@ -47,5 +47,16 @@ post-install:
${INSTALL_BIN} ${WRKINST}/etc/zic ${IDIR_ZIC}/usr/sbin/
${INSTALL_DIR} ${IDIR_DATE}/usr/bin
${INSTALL_BIN} ${WRKINST}/bin/date ${IDIR_DATE}/usr/bin/
+ tz=; cd $(IDIR_TZDATA)/usr/share/zoneinfo || exit 1; \
+ for f in UTC ${ADK_RUNTIME_TIMEZONE}; do \
+ test -s "$$f" || continue; \
+ tz=$$f; \
+ done; if test x"$$tz" = x""; then \
+ echo >&2 Error during timezone installation; \
+ exit 1; \
+ else \
+ ln -sf "../usr/share/zoneinfo/$$tz" \
+ $(IDIR_TZDATA)/etc/localtime; \
+ fi
include ${TOPDIR}/mk/pkg-bottom.mk
diff --git a/package/xbmc/Makefile b/package/xbmc/Makefile
index 3712c7336..1eb77d9c1 100644
--- a/package/xbmc/Makefile
+++ b/package/xbmc/Makefile
@@ -16,12 +16,13 @@ PKG_DEPENDS+= libflac libopenssl libbz2 libtiff liblzo
PKG_DEPENDS+= yajl tinyxml libsqlite libpcrecpp libpng
PKG_DEPENDS+= libpcre libcdio libfreetype libsamplerate
PKG_DEPENDS+= taglib libjasper libmp3lame libmicrohttpd
+PKG_DEPENDS+= omxplayer libusb-compat libbluray
PKG_BUILDDEP:= boost ffmpeg python2 MesaLib libglew libass
PKG_BUILDDEP+= libmpeg2 libmad jpeg libogg libvorbis libmodplug
PKG_BUILDDEP+= curl flac openssl bzip2 libtiff liblzo yajl
PKG_BUILDDEP+= tinyxml sqlite pcre libpng libcdio freetype
PKG_BUILDDEP+= libsamplerate taglib libjasper lame libmicrohttpd
-PKG_BUILDDEP+= bcm2835-vc libgpg-error dbus
+PKG_BUILDDEP+= bcm2835-vc libgpg-error dbus libusb-compat libbluray
PKG_URL:= http://xbmc.org/
PKG_SITES:= http://mirrors.xbmc.org/releases/source/
@@ -45,6 +46,8 @@ CONFIGURE_ARGS+= --disable-optical-drive \
--disable-ssh \
--disable-samba \
--disable-mysql \
+ --enable-libusb \
+ --enable-libbluray \
--enable-external-libraries \
--enable-player=omxplayer \
--enable-gles \
diff --git a/package/xbmc/patches/patch-xbmc_Application_cpp b/package/xbmc/patches/patch-xbmc_Application_cpp
new file mode 100644
index 000000000..587456a07
--- /dev/null
+++ b/package/xbmc/patches/patch-xbmc_Application_cpp
@@ -0,0 +1,41 @@
+--- xbmc-12.2.orig/xbmc/Application.cpp 2013-05-03 07:57:41.000000000 +0200
++++ xbmc-12.2/xbmc/Application.cpp 2013-10-08 13:55:01.000000000 +0200
+@@ -615,7 +615,7 @@ bool CApplication::Create()
+
+ if (!CLog::Init(CSpecialProtocol::TranslatePath(g_settings.m_logFolder).c_str()))
+ {
+- fprintf(stderr,"Could not init logging classes. Permission errors on ~/.xbmc (%s)\n",
++ fprintf(stderr,"Could not init logging classes. Permission errors on %s\n",
+ CSpecialProtocol::TranslatePath(g_settings.m_logFolder).c_str());
+ return false;
+ }
+@@ -966,10 +966,13 @@ bool CApplication::InitDirectoriesLinux(
+ userName = "root";
+
+ CStdString userHome;
++ userHome = "/etc/xbmc";
++/*
+ if (getenv("HOME"))
+ userHome = getenv("HOME");
+ else
+ userHome = "/root";
++*/
+
+ CStdString xbmcBinPath, xbmcPath;
+ CUtil::GetHomePath(xbmcBinPath, "XBMC_BIN_HOME");
+@@ -1001,11 +1004,11 @@ bool CApplication::InitDirectoriesLinux(
+ // map our special drives
+ CSpecialProtocol::SetXBMCBinPath(xbmcBinPath);
+ CSpecialProtocol::SetXBMCPath(xbmcPath);
+- CSpecialProtocol::SetHomePath(userHome + "/.xbmc");
+- CSpecialProtocol::SetMasterProfilePath(userHome + "/.xbmc/userdata");
++ CSpecialProtocol::SetHomePath(userHome);
++ CSpecialProtocol::SetMasterProfilePath(userHome + "/userdata");
+
+- CStdString strTempPath = userHome;
+- strTempPath = URIUtils::AddFileToFolder(strTempPath, ".xbmc/temp");
++ CStdString strTempPath = "/tmp";
++ strTempPath = URIUtils::AddFileToFolder(strTempPath, "/.xbmc/temp");
+ if (getenv("XBMC_TEMP"))
+ strTempPath = getenv("XBMC_TEMP");
+ CSpecialProtocol::SetTempPath(strTempPath);
diff --git a/package/xf86-input-evdev/Makefile b/package/xf86-input-evdev/Makefile
index 7e75b6d2a..9faa87aff 100644
--- a/package/xf86-input-evdev/Makefile
+++ b/package/xf86-input-evdev/Makefile
@@ -6,7 +6,7 @@ include $(TOPDIR)/rules.mk
PKG_NAME:= xf86-input-evdev
PKG_VERSION:= 2.7.0
PKG_RELEASE:= 1
-PKG_MD5SUM:= 95d35eea1dad1c4828d0027f3be5325c
+PKG_MD5SUM:= 2d3f7111b8284cec81884023c4bb4a11
PKG_DESCR:= X11 driver for Event driver
PKG_SECTION:= x11/drivers
PKG_DEPENDS:= xorg-server kmod-input-evdev